	package com.coravy.examples {
    
	    import org.wiiflash.Wiimote;
	    import org.wiiflash.events.ButtonEvent;
	    import org.wiiflash.events.WiimoteEvent;

	    public final class SimpleExample {
	        public function SimpleExample() {
            
	            var myWiimote:Wiimote = new Wiimote();  
	            // Connect
	            myWiimote.connect();
            
	            // Add event listener
				myWiimote.addEventListener(WiimoteEvent.UPDATE,       wiimoteUpdate);
				myWiimote.addEventListener(ButtonEvent.PLUS_PRESS,    onPlusPress);  
			    myWiimote.addEventListener(ButtonEvent.MINUS_PRESS,   onMinusPress);
	        }

	        private function wiimoteUpdate(e:WiimoteEvent):void {
			    var x:Number  = e.target.sensorX; // Value x - acceleration sensor.
	            var y:Number  = e.target.sensorY; // Value y - acceleration sensor.
			    var z:Number  = e.target.sensorZ; // Value z - acceleration sensor.
			    //trace("yaw: " + e.target.yaw + " roll: " + e.target.roll + " pitch: " + e.target.pitch);
			    //trace(x + " " + y + " " + z);
	        }
	        
	        private function onPlusPress(e:ButtonEvent):void {
	            trace("onPlusPress -> " + e);
	        }
	        
	        private function onMinusPress(e:ButtonEvent):void {
	            trace("onMinusPress -> " + e);
	        }
	    }
	}