package com.coravy.wiimote {
    import flash.events.Event;

	/**
	 * Die GestureDetection Klasse dispatcht GestureEvent INstanzen wenn eine Geste erkannt wurde.
	 * 
	 * @author Stefan Saasen
	 */
    public final class GestureEvent extends Event {
        
        /**
        * Bewegung/Schlag nach oben.
        */
        public static const JERK_UP: String = 'jerkUp';

        /**
        * Bewegung/Schlag nach unten.
        */
        public static const JERK_DOWN: String = 'jerkDown';
        
        /**
        * Bewegung/Schlag nach links.
        */
        public static const JERK_LEFT: String = 'jerkLeft';

        /**
        * Bewegung/Schlag nach rechts.
        */
        public static const JERK_RIGHT: String = 'jerkRight';
        
        public function GestureEvent(type:String, bubbles:Boolean=false, cancelable:Boolean=false) {
            super(type, bubbles, cancelable);
        }
    }
}